Page MenuHomePhabricator

Tests fail because they use deprecated assertTag and assertNotTag
Closed, ResolvedPublic

Description

PHPUnit_Framework_Assert::assertTag has been deprecated in PHPUnit 4.2. Because we configure our test runs to raise deprecation warnings as errors, PHPUnit considers the test run to have failed.

See https://travis-ci.org/wikimedia/mediawiki-core/jobs/32487532 for an example.

See https://github.com/sebastianbergmann/phpunit/issues/1292 for the discussion that led to the deprecation of the assert method.


Version: unspecified
Severity: normal

Details

Reference
bz69505

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:27 AM
bzimport set Reference to bz69505.
bzimport added a subscriber: Unknown Object (MLST).
ori created this task.Aug 13 2014, 11:09 PM

Change 154703 had a related patch set uploaded by Addshore:
Override phpunit assertTag method to stop errors

https://gerrit.wikimedia.org/r/154703

Change 154703 merged by jenkins-bot:
Override phpunit assertTag method to stop errors

https://gerrit.wikimedia.org/r/154703

Change 167242 had a related patch set uploaded by Hoo man:
Also provide assertNotTag in MediaWikiTestCase

https://gerrit.wikimedia.org/r/167242

hoo added a comment.Oct 17 2014, 6:17 PM

assertNotTag also is an issue for eg. Wikibase

Change 167242 merged by jenkins-bot:
Also provide assertNotTag in MediaWikiTestCase

https://gerrit.wikimedia.org/r/167242